## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.utils
Class ASADatatypeUtil

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.utils.ASADatatypeUtil

    public class ASADatatypeUtil

extends java.lang.Object

Utilitiy methods related to asa data type

Author:
  Idull

Constructor Summary
`ASADatatypeUtil()`

Method Summary
`static PredefinedDataType` `getPredefinedRepresentation(DataType datatype)`
`static boolean` `isBinaryType(DataType datatype)`
`static boolean` `isDateType(DataType datatype)`
`static boolean` `isNumericType(DataType datatype)`
`static boolean` `isStringType(DataType datatype)`
`static boolean` `isTimeType(DataType datatype)`
`static boolean` `isTSType(DataType datatype)` If it has primitive type is the primitive type is time/date type, then it's a timestamp type

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASADatatypeUtil

    public ASADatatypeUtil()

Method Detail

### getPredefinedRepresentation

    public static PredefinedDataType getPredefinedRepresentation(DataType datatype)

### isNumericType

    public static boolean isNumericType(DataType datatype)

### isStringType

    public static boolean isStringType(DataType datatype)

### isTSType

    public static boolean isTSType(DataType datatype)

  If it has primitive type is the primitive type is time/date type, then it's a timestamp type

  Parameters:
    `datatype` -
  Returns:

### isTimeType

    public static boolean isTimeType(DataType datatype)

### isDateType

    public static boolean isDateType(DataType datatype)

### isBinaryType

    public static boolean isBinaryType(DataType datatype)